Skip to main content

CreateBusinessLogic

Creates a business logic definition in the specified workspace.

Debug

You can run this API directly in OpenAPI Explorer without having to calculate signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table lists the authorization information of this API. You can use it in the Action element of a RAM policy statement to grant a RAM user or RAM role the permission to call this API. Details:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, and List.
  • Resource type: the resource types that support authorization in the operation. Details:
    • For required resource types, the prefix * is added.
    • For operations that do not support resource-level authorization, All resources is used.
  • Condition key: the condition keywords defined by the cloud product itself.
  • Related operation: other permissions required to successfully execute the operation. The caller must have the permissions of the related operations at the same time for the operation to succeed.
OperationAccess levelResource typeCondition keyRelated operation
dataanalysisgbi:CreateBusinessLogicnone
*All resources
*
    None
None

Request syntax

POST /gbi/create/logic HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

typeintegerNo

The type of the business logic explanation to create

Valid values:
  • 0: Global.
  • 1: System-determined.
1
descriptionstringNo

The specific content of the business logic explanation

Winter refers to the period from October of the current year to March of the following year

Response elements

NameTypeDescriptionExample value
object

Result

dataany

The response message

true
errorMsgstring

The error message

NoAuth
codestring

The error code

NoAuth
successboolean

true if the API call succeeds, false if the API call fails

true
requestIdstring

The unique ID of the request, which is useful for troubleshooting

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response example JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified business space
401NoResourceAuthBad Request: Resource Auth Error.No permission for the requested resource. Make sure that the requested resource belongs to the business space in the current parameters
Visit the Error Center for more error codes.